Loading...
Searching...
No Matches
caf::detail::tl_slice< List, First, Last > Struct Template Reference

Creates a new list from range (First, Last]. More...

`#include <type_list.hpp>`

## Public Types

using | type

## Detailed Description

template<class List, size_t First, size_t Last>
struct caf::detail::tl_slice< List, First, Last >

Creates a new list from range (First, Last].

## Member Typedef Documentation

## type

template<class List, size_t First, size_t Last>

using caf::detail::tl_slice< List, First, Last >::type

Initial value:
typename tl_slice_<
List,
tl_size<List>::value,
(First > Last ? Last : First),
Last
>::type
caf::detail::tl_size
Gets the number of template parameters of List.
Definition type_list.hpp:101

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp